package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 客户详情对象 t_corps
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TCorps extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fId;

    /** $column.columnComment */
    private Long fPid;

    /** 客户类别 */
    @Excel(name = "客户类别")
    private String fTypeid;

    /** 编号 */
    @Excel(name = "编号")
    private String fNo;

    /** 名称 */
    @Excel(name = "名称")
    private String fName;

    /** 简称 */
    @Excel(name = "简称")
    private String fCname;

    /** 英文名称 */
    @Excel(name = "英文名称")
    private String fEname;

    /** 电话 */
    @Excel(name = "电话")
    private String fTel;

    /** 传真 */
    @Excel(name = "传真")
    private String fFax;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String fEmail;

    /** 联系人 */
    @Excel(name = "联系人")
    private String fManage;

    /** 地址 */
    @Excel(name = "地址")
    private String fAddr;

    /** 英文地址 */
    @Excel(name = "英文地址")
    private String fEaddr;

    /** 规模 */
    @Excel(name = "规模")
    private String fScale;

    /** 省 */
    @Excel(name = "省")
    private String fProvince;

    /** 市 */
    @Excel(name = "市")
    private String fCity;

    /** 结算表票结、月结 */
    @Excel(name = "结算表票结、月结")
    private Long fStltypeid;

    /** 结费天数 */
    @Excel(name = "结费天数")
    private Long fStldays;

    /** 合同号 */
    @Excel(name = "合同号")
    private String fContractno;

    /** 合同起 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同起", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fContractb;

    /** 合同至 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "合同至", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fContracte;

    /** 税号 */
    @Excel(name = "税号")
    private String fTax;

    /** 开票电话 */
    @Excel(name = "开票电话")
    private String fInvtel;

    /** 开票地址 */
    @Excel(name = "开票地址")
    private String fInvaddr;

    /** 本位币账号 */
    @Excel(name = "本位币账号")
    private String fBankno;

    /** 本位币银行 */
    @Excel(name = "本位币银行")
    private String fBankname;

    /** 外币账号 */
    @Excel(name = "外币账号")
    private String fUbankno;

    /** 外币银行 */
    @Excel(name = "外币银行")
    private String fUbankname;

    /** 状态默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "状态默认 T ,正常T 停用F 下拉选择")
    private String fStatus;

    /** 删除状态 */
    private String delFlag;

    /** 客户类别(拼接起来的) */
    @Excel(name = "客户类别(拼接起来的)")
    private String fTypename;

    /** 登陆账号 */
    @Excel(name = "登陆账号")
    private String loginAccount;

    /** 信用等级 */
    @Excel(name = "信用等级")
    private String creditLv;

    /** 账期天数(订单结束后最迟结款天数)  */
    @Excel(name = "账期天数(订单结束后最迟结款天数) ")
    private Long paymentDays;

    /** 公司车辆数 */
    @Excel(name = "公司车辆数")
    private Long carNum;

    /** 总公司 */
    @Excel(name = "总公司")
    private String headOffice;

    /** 注册资本 */
    @Excel(name = "注册资本")
    private String registerdCapital;

    /** 法人 */
    @Excel(name = "法人")
    private String legalPerson;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String insdustry;

    /** 社会统一信用代码 */
    @Excel(name = "社会统一信用代码")
    private String creditNum;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String taxpayerNum;

    /** 工商注册号 */
    @Excel(name = "工商注册号")
    private String industryCommerceNum;

    /** 组织机构代码 */
    @Excel(name = "组织机构代码")
    private String organizationNum;

    /** 登记机关 */
    @Excel(name = "登记机关")
    private String registerOrganization;

    /** 成立日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateOfEstablishment;

    /** 企业类型 */
    @Excel(name = "企业类型")
    private String companyType;

    /** 营业期限 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营业期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date businessDeadline;

    /** 营业区域 */
    @Excel(name = "营业区域")
    private String businessArea;

    /** 审核年检日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核年检日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date annualDate;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String registerdAddress;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String manageScope;

    /** 部门 */
    private String deptId;

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public String getfTypeid() {
        return fTypeid;
    }

    public void setfTypeid(String fTypeid) {
        this.fTypeid = fTypeid;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfCname() {
        return fCname;
    }

    public void setfCname(String fCname) {
        this.fCname = fCname;
    }

    public String getfEname() {
        return fEname;
    }

    public void setfEname(String fEname) {
        this.fEname = fEname;
    }

    public String getfTel() {
        return fTel;
    }

    public void setfTel(String fTel) {
        this.fTel = fTel;
    }

    public String getfFax() {
        return fFax;
    }

    public void setfFax(String fFax) {
        this.fFax = fFax;
    }

    public String getfEmail() {
        return fEmail;
    }

    public void setfEmail(String fEmail) {
        this.fEmail = fEmail;
    }

    public String getfManage() {
        return fManage;
    }

    public void setfManage(String fManage) {
        this.fManage = fManage;
    }

    public String getfAddr() {
        return fAddr;
    }

    public void setfAddr(String fAddr) {
        this.fAddr = fAddr;
    }

    public String getfEaddr() {
        return fEaddr;
    }

    public void setfEaddr(String fEaddr) {
        this.fEaddr = fEaddr;
    }

    public String getfScale() {
        return fScale;
    }

    public void setfScale(String fScale) {
        this.fScale = fScale;
    }

    public String getfProvince() {
        return fProvince;
    }

    public void setfProvince(String fProvince) {
        this.fProvince = fProvince;
    }

    public String getfCity() {
        return fCity;
    }

    public void setfCity(String fCity) {
        this.fCity = fCity;
    }

    public Long getfStltypeid() {
        return fStltypeid;
    }

    public void setfStltypeid(Long fStltypeid) {
        this.fStltypeid = fStltypeid;
    }

    public Long getfStldays() {
        return fStldays;
    }

    public void setfStldays(Long fStldays) {
        this.fStldays = fStldays;
    }

    public String getfContractno() {
        return fContractno;
    }

    public void setfContractno(String fContractno) {
        this.fContractno = fContractno;
    }

    public Date getfContractb() {
        return fContractb;
    }

    public void setfContractb(Date fContractb) {
        this.fContractb = fContractb;
    }

    public Date getfContracte() {
        return fContracte;
    }

    public void setfContracte(Date fContracte) {
        this.fContracte = fContracte;
    }

    public String getfTax() {
        return fTax;
    }

    public void setfTax(String fTax) {
        this.fTax = fTax;
    }

    public String getfInvtel() {
        return fInvtel;
    }

    public void setfInvtel(String fInvtel) {
        this.fInvtel = fInvtel;
    }

    public String getfInvaddr() {
        return fInvaddr;
    }

    public void setfInvaddr(String fInvaddr) {
        this.fInvaddr = fInvaddr;
    }

    public String getfBankno() {
        return fBankno;
    }

    public void setfBankno(String fBankno) {
        this.fBankno = fBankno;
    }

    public String getfBankname() {
        return fBankname;
    }

    public void setfBankname(String fBankname) {
        this.fBankname = fBankname;
    }

    public String getfUbankno() {
        return fUbankno;
    }

    public void setfUbankno(String fUbankno) {
        this.fUbankno = fUbankno;
    }

    public String getfUbankname() {
        return fUbankname;
    }

    public void setfUbankname(String fUbankname) {
        this.fUbankname = fUbankname;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getfTypename() {
        return fTypename;
    }

    public void setfTypename(String fTypename) {
        this.fTypename = fTypename;
    }

    public String getLoginAccount() {
        return loginAccount;
    }

    public void setLoginAccount(String loginAccount) {
        this.loginAccount = loginAccount;
    }

    public String getCreditLv() {
        return creditLv;
    }

    public void setCreditLv(String creditLv) {
        this.creditLv = creditLv;
    }

    public Long getPaymentDays() {
        return paymentDays;
    }

    public void setPaymentDays(Long paymentDays) {
        this.paymentDays = paymentDays;
    }

    public Long getCarNum() {
        return carNum;
    }

    public void setCarNum(Long carNum) {
        this.carNum = carNum;
    }

    public String getHeadOffice() {
        return headOffice;
    }

    public void setHeadOffice(String headOffice) {
        this.headOffice = headOffice;
    }

    public String getRegisterdCapital() {
        return registerdCapital;
    }

    public void setRegisterdCapital(String registerdCapital) {
        this.registerdCapital = registerdCapital;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getInsdustry() {
        return insdustry;
    }

    public void setInsdustry(String insdustry) {
        this.insdustry = insdustry;
    }

    public String getCreditNum() {
        return creditNum;
    }

    public void setCreditNum(String creditNum) {
        this.creditNum = creditNum;
    }

    public String getTaxpayerNum() {
        return taxpayerNum;
    }

    public void setTaxpayerNum(String taxpayerNum) {
        this.taxpayerNum = taxpayerNum;
    }

    public String getIndustryCommerceNum() {
        return industryCommerceNum;
    }

    public void setIndustryCommerceNum(String industryCommerceNum) {
        this.industryCommerceNum = industryCommerceNum;
    }

    public String getOrganizationNum() {
        return organizationNum;
    }

    public void setOrganizationNum(String organizationNum) {
        this.organizationNum = organizationNum;
    }

    public String getRegisterOrganization() {
        return registerOrganization;
    }

    public void setRegisterOrganization(String registerOrganization) {
        this.registerOrganization = registerOrganization;
    }

    public Date getDateOfEstablishment() {
        return dateOfEstablishment;
    }

    public void setDateOfEstablishment(Date dateOfEstablishment) {
        this.dateOfEstablishment = dateOfEstablishment;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public Date getBusinessDeadline() {
        return businessDeadline;
    }

    public void setBusinessDeadline(Date businessDeadline) {
        this.businessDeadline = businessDeadline;
    }

    public String getBusinessArea() {
        return businessArea;
    }

    public void setBusinessArea(String businessArea) {
        this.businessArea = businessArea;
    }

    public Date getAnnualDate() {
        return annualDate;
    }

    public void setAnnualDate(Date annualDate) {
        this.annualDate = annualDate;
    }

    public String getRegisterdAddress() {
        return registerdAddress;
    }

    public void setRegisterdAddress(String registerdAddress) {
        this.registerdAddress = registerdAddress;
    }

    public String getManageScope() {
        return manageScope;
    }

    public void setManageScope(String manageScope) {
        this.manageScope = manageScope;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return "TCorps{" +
                "fId=" + fId +
                ", fPid=" + fPid +
                ", fTypeid='" + fTypeid + '\'' +
                ", fNo='" + fNo + '\'' +
                ", fName='" + fName + '\'' +
                ", fCname='" + fCname + '\'' +
                ", fEname='" + fEname + '\'' +
                ", fTel='" + fTel + '\'' +
                ", fFax='" + fFax + '\'' +
                ", fEmail='" + fEmail + '\'' +
                ", fManage='" + fManage + '\'' +
                ", fAddr='" + fAddr + '\'' +
                ", fEaddr='" + fEaddr + '\'' +
                ", fScale='" + fScale + '\'' +
                ", fProvince='" + fProvince + '\'' +
                ", fCity='" + fCity + '\'' +
                ", fStltypeid=" + fStltypeid +
                ", fStldays=" + fStldays +
                ", fContractno='" + fContractno + '\'' +
                ", fContractb=" + fContractb +
                ", fContracte=" + fContracte +
                ", fTax='" + fTax + '\'' +
                ", fInvtel='" + fInvtel + '\'' +
                ", fInvaddr='" + fInvaddr + '\'' +
                ", fBankno='" + fBankno + '\'' +
                ", fBankname='" + fBankname + '\'' +
                ", fUbankno='" + fUbankno + '\'' +
                ", fUbankname='" + fUbankname + '\'' +
                ", fStatus='" + fStatus + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", fTypename='" + fTypename + '\'' +
                ", loginAccount='" + loginAccount + '\'' +
                ", creditLv='" + creditLv + '\'' +
                ", paymentDays=" + paymentDays +
                ", carNum=" + carNum +
                ", headOffice='" + headOffice + '\'' +
                ", registerdCapital='" + registerdCapital + '\'' +
                ", legalPerson='" + legalPerson + '\'' +
                ", insdustry='" + insdustry + '\'' +
                ", creditNum='" + creditNum + '\'' +
                ", taxpayerNum='" + taxpayerNum + '\'' +
                ", industryCommerceNum='" + industryCommerceNum + '\'' +
                ", organizationNum='" + organizationNum + '\'' +
                ", registerOrganization='" + registerOrganization + '\'' +
                ", dateOfEstablishment=" + dateOfEstablishment +
                ", companyType='" + companyType + '\'' +
                ", businessDeadline=" + businessDeadline +
                ", businessArea='" + businessArea + '\'' +
                ", annualDate=" + annualDate +
                ", registerdAddress='" + registerdAddress + '\'' +
                ", manageScope='" + manageScope + '\'' +
                ", deptId='" + deptId + '\'' +
                '}';
    }
}
